/*
 * libmad_stub.h
 * Copyright (C) 2010 Peter Belkner <pbelkner@snafu.de>
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __LIBMAD_STUB_H__
#define __LIBMAD_STUB_H__

#include <mad.h>

extern int mad_stub_valid;

#define DECL(sym) extern typeof(sym) *__##sym;
#include "symbols/libmad.h"
#undef DECL

#endif // __LIBMAD_STUB_H__
