#ifndef __TAB_H__
#define __TAB_H__

#include <windows.h>
#include <commctrl.h>

typedef struct tab_page {
  char *title;
  int id;
  BOOL CALLBACK (*proc)(HWND,UINT,WPARAM,LPARAM);
  HWND hDlg;
} tab_page_t;

typedef struct tab {
  int id;
  HWND hCurPage;
  tab_page_t *pages;
} tab_t;

void tab_init(tab_t *tab, HWND hDlg);
void tab_change(tab_t *tab, HWND hDlg);

#endif // __TAB_H__
